VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Types | Public Attributes | List of all members
CFrame::Impl Struct Reference

## Classes
struct | PostEventHandler

## Public Types
using | ViewList = std::list< CView * >
using | FunctionQueue = std::queue< Function >
using | ModalViewSessionStack = std::stack< std::unique_ptr< ModalViewSession >>

## Public Attributes
SharedPointer< IPlatformFrame > | platformFrame
VSTGUIEditorInterface * | editor {nullptr}
IViewAddedRemovedObserver * | viewAddedRemovedObserver {nullptr}
SharedPointer< CTooltipSupport > | tooltips
SharedPointer < Animation::Animator > | animator
ModalViewSession * | legacyModalViewSession {nullptr}
CView * | focusView {nullptr}
CView * | activeFocusView {nullptr}
CollectInvalidRects * | collectInvalidRects {nullptr}
ViewList | mouseViews
ModalViewSessionStack | modalViewSessionStack
DispatchList< CView * > | windowActiveStateChangeViews
DispatchList < IScaleFactorChangedListener * > | scaleFactorChangedListenerList
DispatchList< IMouseObserver * > | mouseObservers
DispatchList < IFocusViewObserver * > | focusViewObservers
DispatchList< IKeyboardHook * > | keyboardHooks
FunctionQueue | postEventFunctionQueue
double | userScaleFactor {1.}
double | platformScaleFactor {1.}
bool | active {false}
bool | windowActive {false}
bool | inEventHandling {false}
BitmapInterpolationQuality | bitmapQuality {BitmapInterpolationQuality::kDefault}

## Member Typedef Documentation

using FunctionQueue = std::queue<Function>

using ModalViewSessionStack = std::stack<std::unique_ptr<ModalViewSession>>

using ViewList = std::list<CView*>

## Member Data Documentation

bool active {false}

CView* activeFocusView {nullptr}

SharedPointer<Animation::Animator> animator

BitmapInterpolationQuality bitmapQuality {BitmapInterpolationQuality::kDefault}

CollectInvalidRects* collectInvalidRects {nullptr}

VSTGUIEditorInterface* editor {nullptr}

CView* focusView {nullptr}

DispatchList<IFocusViewObserver*> focusViewObservers

bool inEventHandling {false}

DispatchList<IKeyboardHook*> keyboardHooks

ModalViewSession* legacyModalViewSession {nullptr}

ModalViewSessionStack modalViewSessionStack

DispatchList<IMouseObserver*> mouseObservers

ViewList mouseViews

SharedPointer<IPlatformFrame> platformFrame

double platformScaleFactor {1.}

FunctionQueue postEventFunctionQueue

DispatchList<IScaleFactorChangedListener*> scaleFactorChangedListenerList

SharedPointer<CTooltipSupport> tooltips

double userScaleFactor {1.}

IViewAddedRemovedObserver* viewAddedRemovedObserver {nullptr}

bool windowActive {false}

DispatchList<CView*> windowActiveStateChangeViews

The documentation for this struct was generated from the following file:

- cframe.cpp